<?php

namespace FiloBlu\SocialStream\Controller\Index;

class Index extends \Magento\Framework\App\Action\Action {

    public $helper;
    protected $_storeManager;

    public function __construct(
    \Magento\Framework\App\Action\Context $context, \Magento\Store\Model\StoreManagerInterface $storeManager, \FiloBlu\SocialStream\Helper\Data $helper
    ) {
        $this->_storeManager = $storeManager;
        $this->helper = $helper;
        parent::__construct($context);
    }

    public function execute() {
        define('AJAX_SCRIPT', $this->_storeManager->getStore()->getBaseUrl() . "social-stream/");
        require_once(dirname(dirname(__DIR__)) . '/lib/social-stream/config.php');

        $this->helper->configToken();
        $this->helper->configTheme();

        require_once(dirname(dirname(__DIR__)) . '/lib/social-stream/ajax.php');
    }

}
